<?php
/**
 * This file is part of phpDocumentor.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * @copyright 2010-2016 Mike van Riel<mike@phpdoc.org>
 * @license   http://www.opensource.org/licenses/mit-license.php MIT
 * @link      http://phpdoc.org
 */

namespace phpDocumentor\DomainModel\Renderer;

/**
 * Any class implementing this interface is meant to persist the artefacts generated by the Renderer to a
 * location of their choosing.
 */
interface Artefacts
{
    /**
     * Persists the given artefact.
     *
     * @param Artefact $artefact
     *
     * @return void
     */
    public function persist(Artefact $artefact);
}
